File: changelog

package info (click to toggle)
mvel 2.4.0-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, sid
  • size: 3,332 kB
  • sloc: java: 43,882; xml: 268; makefile: 8
file content (98 lines) | stat: -rw-r--r-- 3,299 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
mvel (2.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.0.
  * Change homepage address to github.com because codehaus.org is gone.
  * Switch to compat level 10.
  * Use only Build-Depends field.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 4.1.2.
  * Remove --has-package-version flag.
  * d/copyright: Use https for Format field.
  * Refresh use_system_asm.diff.
  * Add java9.patch and work around the FTBFS with Java 9 by ignoring doclint
    errors. Thanks to Chris West for the report. (Closes: #875775)

 -- Markus Koschany <apo@debian.org>  Sat, 02 Dec 2017 00:03:58 +0100

mvel (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Refreshed the patches
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs
  * Removed the Eclipse files from the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Oct 2016 13:21:52 +0200

mvel (2.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Refreshed the patches
    - Removed java8-compatibility.patch (fixed upstream)
    - Build depend on junit4 instead of junit
    - Depend on libasm4-java instead of libasm3-java (Closes: #800853)
    - Enabled the bundle plugin
  * Build with the DH sequencer instead of CDBS
  * Moved the package to Git
  * Standards-Version updated to 3.9.6 (no changes)
  * Use the Files-Excluded field of debian/copyright to clean up
    the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 18 Jan 2016 17:44:17 +0100

mvel (2.0.18-4) unstable; urgency=medium

  * Team upload.
  * Fixed a compilation error with Java 8
  * Fixed the OptimizerFactory class and the unit tests to work
    with the system version of ASM
  * Added d/maven.ignoreRules to avoid patching the pom for disabling plugins
  * debian/watch: Updated to watch the release tags on Github

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Jul 2014 17:43:57 +0200

mvel (2.0.18-3) unstable; urgency=low

  * Team upload.
  * Use the default Maven plugins instead of a fixed version to avoid build
    failures when a plugin is upgraded (Closes: #730939)
  * debian/control:
    - Standards-Version updated to 3.9.5 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 02 Dec 2013 18:18:35 +0100

mvel (2.0.18-2) unstable; urgency=low

  * Team upload.
  * Explicitly give encoding to fix FTBFS with Java7.
  * Remove duplicate fields in d/copyright.
  * Add missing --java-lib in d/libmvel-java.poms.

 -- Niels Thykier <niels@thykier.net>  Wed, 20 Jun 2012 21:19:28 +0200

mvel (2.0.18-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.0: no changes needed.

 -- Damien Raude-Morvan <drazzib@debian.org>  Thu, 01 Jul 2010 01:08:25 +0200

mvel (2.0.17-1) unstable; urgency=low

  * New upstream release.
    - Refresh patches

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 05 Apr 2010 23:34:18 +0200

mvel (2.0.16-1) unstable; urgency=low

  * Initial release (Closes: #571260)

 -- Damien Raude-Morvan <drazzib@debian.org>  Mon, 01 Mar 2010 23:20:39 +0100